function init()
	nosmoke = GetBool("savegame.mod.nosmoke")
	if nosmoke == 0 then nosmoke = 0.15 end
	nosound = GetBool("savegame.mod.nosound")
	if nosound == 0 then nosound = 0.15 end
	noshock = GetBool("savegame.mod.noshock")
	if noshock == 0 then noshock = 0.15 end
end

function draw()
	UiTranslate(UiCenter(), 350)
	UiAlign("center middle")

	UiFont("bold.ttf", 48)
	UiText("Airstrike Arsenal")
	UiFont("regular.ttf", 26)
	UiTranslate(0, 70)
	UiPush()
		UiText("No smoke or light effects")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(1, 1, 1)
		if nosmoke then
		   	if UiTextButton("Yes", 20, 20) then
				nosmoke = false
				SetBool("savegame.mod.nosmoke", nosmoke)
			end
		else
			if UiTextButton("No", 20, 20) then
				nosmoke = true
				SetBool("savegame.mod.nosmoke", nosmoke)
			end
		end
	UiTranslate(0, 70)
	UiPush()
		UiText("No sound effects")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(1, 1, 1)
		if nosound then
		    if UiTextButton("Yes", 20, 20) then
		        nosound = false
			    SetBool("savegame.mod.nosound", nosound)
			end
		else
		    if UiTextButton("No", 20, 20) then
			    nosound = true
			    SetBool("savegame.mod.nosound", nosound)
			end
		end
	UiTranslate(0, 70)
	UiPush()
		UiText("No M.O.A.B shockwave effect")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(1, 1, 1)
		if noshock then
		    if UiTextButton("Yes", 20, 20) then
		        noshock = false
			    SetBool("savegame.mod.noshock", noshock)
			end
		else
		    if UiTextButton("No", 20, 20) then
			    noshock = true
			    SetBool("savegame.mod.noshock", noshock)
			end
		end	

end

function optionsSlider(val, min, max)
	UiColor(0.2, 0.6, 1)
	UiPush()
		UiTranslate(0, -8)
		val = (val-min) / (max-min)
		local w = 195
		UiRect(w, 3)
		UiAlign("center middle")
		UiTranslate(-195, 1)
		val = UiSlider("ui/common/dot.png", "x", val*w, 0, w) / w
		val = round((val*(max-min)+min), 2)
	UiPop()
	return val
end

function round(number, decimals)
    local power = 10^decimals
    return math.floor(number * power) / power
end